Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Get in touch with us to learn more details

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Desk IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Query Extension List

Query basic information of PBX extension, such as extension number, extension status, extension type, extension name, etc.

Request URL

GET {base_url}/{api_path}/extension/list?access_token={access_token}

Request parameters

ParameterRequiredTypeDescription
pageNoIntegerDefine which page is displayed.
page_sizeNoIntegerDefine how many records per page.
sort_byNoStringDefine the sorting field.

Valid value:

  • id
  • number
  • caller_id_name
  • email_addr
  • mobile_number
  • presence_status
order_byNoStringDefine the display order.

Valid value:

  • asc: Ascending order.
  • desc: Descending order.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note:You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
total_numberIntegerThe total number of extensions.
dataArray<Ext_Basicinfo>The basic information of the extension.

Ext_Basicinfo

ParameterTypeDescription
idIntegerExtension ID.
online_statusObject<Online_Status>Extension Online Status on the following endpoints.
  • sip_phone: SIP endpoint.
  • simuconnect_desktop: Simu Connect Desktop Client.
  • simuconnect_mobile: Simu Connect Mobile Client.
  • simuconnect_web: Simu Connect Web Client.
presence_statusStringDefault extension presence.
  • available: Available.
  • away: Away.
  • business_trip: Business Trip.
  • do_not_disturb: Do Not Disturb (DND).
  • lunch: Lunch Break.
  • off_work: Off Work.
custom_presence_statusStringCustom extension presence.
numberStringExtension Number.
caller_id_nameStringCaller ID Name.
role_nameStringUser Role.
email_addrStringEmail Address.
mobile_numberStringMobile Number.

Online_Status

ParameterTypeDescription
statusIntegerThe extension online status on the endpoint (expect for SIP endpoint).Note:The extension online status on SIP endpoint is returned in the status_list parameter.
  • 0: Offline.
  • 1: Online.
ext_dev_typeStringThe type of online devices.
  • sip: SIP endpoint.
  • simuconnectdesktop: Simu Connect Desktop Client.
  • simuconnectmobile: Simu Connect Mobile Client.
  • simuconnectweb: Simu Connect Web Client.
status_listArray<Status_List>The extension online status on SIP endpoint.
Note:This parameter is only returned when the extension is registered on an SIP endpoint.

Status_List

ParameterTypeDescription
statusIntegerThe extension online status on the SIP endpoint.
  • 0: Offline.
  • 1: Online.
ipStringThe IP address and SIP port of the SIP endpoint.

For example, 192.168.28.190:5060.

simuconnect_dev_typeStringThe type of online Simu Connect Mobile Client and Simu Connect Pad Client (SDK).
  • ios: Simu Connect Mobile Client for iOS.
  • android: Simu Connect Mobile Client for Android.
  • ipad: Simu Connect Pad Client (SDK) for iOS.
  • pad: Simu Connect Pad Client (SDK) for Android.

Examples

Request example

GET /openapi/v1.0/extension/list?page=1&page_size=4&sort_by=number&order_by=asc&access_token=IqJch3aPGM68rpf3D3C10Mf2t7BiYeSo 
Host: 192.168.5.150:8088

Response example

HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 12,
"data": [
{
"id": 238,
"online_status": {

"sip_phone": {
"status": 0,
"ext_dev_type": "sip", //Extension 2000 is registered on a SIP device.
"status_list": [
{
"status": 1, //Extension online status on the SIP device
"ip": "192.168.28.190:5060" //IP address and SIP port of the SIP device
}
]
},
"simuconnect_desktop": {
"status": 0
},
"simuconnect_mobile": {
"status": 0
},
"simuconnect_web": {
"status": 0
}
},
"presence_status": "available",
"number": "2000",
"caller_id_name": "Leo Ball",
"role_name": "Administrator",
"email_addr": "leo@sample.com",
"custom_presence_status": "lunch"
},
{
"id": 223,
"online_status": {

"sip_phone": {
"status": 0
},
"simuconnect_desktop": { //Extension 2001 is logged in to Simu Connect Desktop Client.
"status": 1,
"ext_dev_type": "simuconnectdesktop"
},
"simuconnect_mobile": {
"status": 0
},
"simuconnect_web": {
"status": 0
}
},
"presence_status": "away",
"number": "2001",
"caller_id_name": "Phillip Huff",
"role_name": "Administrator",
"email_addr": "philip@sample.com",
"custom_presence_status": "Available (Work)"
},
{
"id": 227,
"online_status": {

"sip_phone": {
"status": 0,
"ext_dev_type": "sip"
},
"simuconnect_desktop": {
"status": 0
},
"simuconnect_mobile": { //Extension 2002 is logged in to Simu Connect Mobile Client.
"status": 1,
"ext_dev_type": "simuconnectmobile",
"status_list": [
{
"status": 1,
"ip": "112.48.22.71",
"simuconnect_dev_type": "android"
}
]
},
"simuconnect_web": {
"status": 0,
"ext_dev_type": "simuconnectweb"
}
},
"presence_status": "business_trip",
"number": "2002",
"caller_id_name": "Terrell Smith",
"role_name": "Administrator",
"email_addr": "terrell@sample.com",
"mobile_number": "15880123456",
"custom_presence_status": "Business Trip"
},
{
"id": 229,
"online_status": {

"sip_phone": {
"status": 0,
"ext_dev_type": "sip"
},
"simuconnect_desktop": {
"status": 0
},
"simuconnect_mobile": {
"status": 0
},
"simuconnect_web": { //Extension 2003 is logged in to Simu Connect Web Client.
"status": 1,
"ext_dev_type": "simuconnectweb"
}
},
"presence_status": "do_not_disturb",
"number": "2003",
"caller_id_name": "Dave Haris",
"email_addr": "dave@sample.com",
"mobile_number": "13600930000",
"custom_presence_status": "Do Not Disturb"
}
]
}
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading telephony service provider in Kenya. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA


Proudly Kenyan • Licensed by the Communications Authority of Kenya • Serving Businesses Since 2017

Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app